%global realname erlware_commons

Name:     erlang-%{realname}
Version:  1.3.1
Release:  %mkrel 3
BuildArch: noarch
Summary:  Extension to Erlang's standard library
Group:    Development/Other
License:  MIT
URL:      https://github.com/erlware/erlware_commons
Source0:  %{url}/archive/v%{version}/%{realname}-%{version}.tar.gz
# The "color" test does not play well with Fedora's build system
Patch0:   erlang-erlware_commons-disable-color_test.patch
BuildRequires:  erlang-rebar
BuildRequires:  erlang-cf

%description
%{summary}.

%prep
%setup -q -n %{realname}-%{version}
%autopatch -p0

%build
%{erlang_compile}

%install
%{erlang_install}
cp -arv priv/ %{buildroot}%{erlang_appdir}/

%check
%{erlang_test}

%files
%license COPYING
%doc doc/ README.md
%{erlang_appdir}/



%changelog
* Sun Dec 20 2020 wally <wally> 1.3.1-3.mga8
+ Revision: 1661520
- rely on generated requires
- make pkg noarch

* Mon May 04 2020 umeabot <umeabot> 1.3.1-2.mga8
+ Revision: 1579766
- Mageia 8 Mass Rebuild

* Sun Feb 17 2019 wally <wally> 1.3.1-1.mga7
+ Revision: 1367883
- new version 1.3.1

* Tue Nov 20 2018 wally <wally> 1.2.0-1.mga7
+ Revision: 1332402
- imported package erlang-erlware_commons


* Sat Jul 14 2018 Timothée Floure <fnux@fedoraproject.org> - 1.2.0-1
- Let there be package
